Package com.mockobjects.jms

# Class MockMessage

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.jms.MockMessage

All Implemented Interfaces:
  `Verifiable`

Direct Known Subclasses:
  `MockMapMessage`, `MockObjectMessage`, `MockTextMessage`

public abstract class MockMessage extends MockObject

## Constructor Summary

Constructors
Constructor
Description
`MockMessage()`

## Method Summary

Modifier and Type
Method
Description
`void`
`acknowledge()`
`void`
`clearBody()`
`void`
`clearProperties()`
`boolean`
`getBooleanProperty(String name)`
`byte`
`getByteProperty(String name)`
`double`
`getDoubleProperty(String name)`
`float`
`getFloatProperty(String name)`
`int`
`getIntProperty(String name)`
`String`
`getJMSCorrelationID()`
`byte[]`
`getJMSCorrelationIDAsBytes()`
`int`
`getJMSDeliveryMode()`
`Destination`
`getJMSDestination()`
`long`
`getJMSExpiration()`
`String`
`getJMSMessageID()`
`int`
`getJMSPriority()`
`boolean`
`getJMSRedelivered()`
`Destination`
`getJMSReplyTo()`
`long`
`getJMSTimestamp()`
`String`
`getJMSType()`
`long`
`getLongProperty(String name)`
`Object`
`getObjectProperty(String name)`
`Enumeration`
`getPropertyNames()`
`short`
`getShortProperty(String name)`
`String`
`getStringProperty(String name)`
`boolean`
`propertyExists(String name)`
`void`
`setBooleanProperty(String name, boolean value)`
`void`
`setByteProperty(String name, byte value)`
`void`
`setDoubleProperty(String name, double value)`
`void`
`setExpectedAcknowledgeCalls(int calls)`
`void`
`setExpectedJMSReplyTo(Destination expectedJMSReplyTo)`
`void`
`setExpectedSetJMSCorrelationIDCalls(int callCount)`
`void`
`setFloatProperty(String name, float value)`
`void`
`setIntProperty(String name, int value)`
`void`
`setJMSCorrelationID(String jmsCorrelationID)`
`void`
`setJMSCorrelationIDAsBytes(byte[] correlationID)`
`void`
`setJMSDeliveryMode(int deliveryMode)`
`void`
`setJMSDestination(Destination destination)`
`void`
`setJMSExpiration(long expiration)`
`void`
`setJMSMessageID(String id)`
`void`
`setJMSPriority(int priority)`
`void`
`setJMSRedelivered(boolean redelivered)`
`void`
`setJMSReplyTo(Destination replyTo)`
`void`
`setJMSTimestamp(long timestamp)`
`void`
`setJMSType(String type)`
`void`
`setLongProperty(String name, long value)`
`void`
`setObjectProperty(String name, Object value)`
`void`
`setShortProperty(String name, short value)`
`void`
`setStringProperty(String name, String value)`
`void`
`setupJMSMessageID(String jmsMessageID)`
`void`
`setupThrowException(JMSException e)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockMessage

public MockMessage()

## Method Details

### acknowledge

public void acknowledge() throws JMSException

Throws:
  `JMSException`

### setExpectedAcknowledgeCalls

public void setExpectedAcknowledgeCalls(int calls)

### clearBody

public void clearBody()

### clearProperties

public void clearProperties()

### getBooleanProperty

public boolean getBooleanProperty(String name)

### getByteProperty

public byte getByteProperty(String name)

### getDoubleProperty

public double getDoubleProperty(String name)

### getFloatProperty

public float getFloatProperty(String name)

### getIntProperty

public int getIntProperty(String name)

### getJMSCorrelationID

public String getJMSCorrelationID()

### getJMSCorrelationIDAsBytes

public byte[] getJMSCorrelationIDAsBytes()

### getJMSDeliveryMode

public int getJMSDeliveryMode()

### getJMSDestination

public Destination getJMSDestination()

### getJMSExpiration

public long getJMSExpiration()

### getJMSMessageID

public String getJMSMessageID()

### getJMSPriority

public int getJMSPriority()

### getJMSRedelivered

public boolean getJMSRedelivered()

### getJMSReplyTo

public Destination getJMSReplyTo()

### getJMSTimestamp

public long getJMSTimestamp()

### getJMSType

public String getJMSType()

### getLongProperty

public long getLongProperty(String name)

### getObjectProperty

public Object getObjectProperty(String name)

### getPropertyNames

public Enumeration getPropertyNames()

### getShortProperty

public short getShortProperty(String name)

### getStringProperty

public String getStringProperty(String name)

### propertyExists

public boolean propertyExists(String name)

### setBooleanProperty

public void setBooleanProperty(String name, boolean value)

### setByteProperty

public void setByteProperty(String name, byte value)

### setDoubleProperty

public void setDoubleProperty(String name, double value)

### setFloatProperty

public void setFloatProperty(String name, float value)

### setIntProperty

public void setIntProperty(String name, int value)

### setJMSCorrelationID

public void setJMSCorrelationID(String jmsCorrelationID)

### setJMSCorrelationIDAsBytes

public void setJMSCorrelationIDAsBytes(byte[] correlationID)

### setJMSDeliveryMode

public void setJMSDeliveryMode(int deliveryMode)

### setJMSDestination

public void setJMSDestination(Destination destination)

### setJMSExpiration

public void setJMSExpiration(long expiration)

### setJMSMessageID

public void setJMSMessageID(String id)

### setJMSPriority

public void setJMSPriority(int priority)

### setJMSRedelivered

public void setJMSRedelivered(boolean redelivered)

### setJMSReplyTo

public void setJMSReplyTo(Destination replyTo) throws JMSException

Throws:
  `JMSException`

### setJMSTimestamp

public void setJMSTimestamp(long timestamp)

### setJMSType

public void setJMSType(String type)

### setLongProperty

public void setLongProperty(String name, long value)

### setObjectProperty

public void setObjectProperty(String name, Object value)

### setShortProperty

public void setShortProperty(String name, short value)

### setStringProperty

public void setStringProperty(String name, String value)

### setExpectedJMSReplyTo

public void setExpectedJMSReplyTo(Destination expectedJMSReplyTo)

### setExpectedSetJMSCorrelationIDCalls

public void setExpectedSetJMSCorrelationIDCalls(int callCount)

### setupJMSMessageID

public void setupJMSMessageID(String jmsMessageID)

### setupThrowException

public void setupThrowException(JMSException e)